const pages = require('../../mixin/pages')

Page({

  /**
   * 页面的初始数据
   */
  data: {
    ...pages.data(),
    listUrl: '/api/user/goods/shop/list',
    searchForm: {
      key_words: ''
    }
  },
  ...pages.methods,
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.fetchOrderList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getTabBar().init()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    if (this.data.freshing) {
      return
    }
    this.setData({
      freshing: true
    })
    this.bindCallBack()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.fetchOrderList()
  },
  bindCallBack() {
    this.refreshOrderList()
  },
  jumpLeavingAMessage() {
    wx.navigateTo({
      url: '/pages/leavingAMessage/leavingAMessage'
    })
  },
  jumpBusinessDetail(e) {
    const { item } = e.currentTarget.dataset

    wx.navigateTo({
      url: '/pages/businessDetail/businessDetail?shop_id=' + item.id
    })
  }
})
